Bug 971835 - NullPointerException in HornetQServerImpl.freezeConnections
Summary: NullPointerException in HornetQServerImpl.freezeConnections
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ   
(Show other bugs)
Version: 6.1.0
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ER7
: EAP 6.1.1
Assignee: Clebert Suconic
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 11:30 UTC by Pavel Slavicek
Modified: 2013-09-16 20:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:23:08 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Slavicek 2013-06-07 11:30:51 UTC
Description of problem:
We hit NPE during our HP-UX certification while we have executed HornetQ project test-suite.

EAP 6.1.0 GA, HornetQ_2_3_1_FINAL

Exception closing HornetQServerImpl::ManagementActivationTest/backupServer
java.lang.NullPointerException
        at org.hornetq.core.server.impl.HornetQServerImpl.freezeConnections(HornetQServerImpl.java:751)
        at org.hornetq.core.server.impl.HornetQServerImpl.stop(HornetQServerImpl.java:590)
        at org.hornetq.core.server.impl.HornetQServerImpl.stop(HornetQServerImpl.java:538)
        at org.hornetq.core.server.impl.HornetQServerImpl.stop(HornetQServerImpl.java:505)
        at org.hornetq.tests.util.UnitTestCase.stopComponentOutputExceptions(UnitTestCase.java:1637)
        at org.hornetq.tests.util.UnitTestCase.tearDown(UnitTestCase.java:1016)
        at org.hornetq.tests.util.ServiceTestBase.tearDown(ServiceTestBase.java:96)
        at org.hornetq.tests.integration.cluster.failover.FailoverTestBase.tearDown(FailoverTestBase.java:237)

Comment 1 Pavel Slavicek 2013-06-07 11:31:38 UTC
Affected tests:
org.hornetq.tests.integration.management.ManagementActivationTest.testRemoveQueue
org.hornetq.tests.integration.management.ManagementActivationTest.testDestroyConnectionFactory

Comment 2 Pavel Slavicek 2013-06-07 11:35:48 UTC
Intermittent failure, we have hit it with HP-UX JDK 1.6 and 1.7.

Comment 3 Clebert Suconic 2013-06-17 14:44:23 UTC
The current master has this fixed... it was a test issue only.

Comment 5 Paul Gier 2013-08-27 15:42:29 UTC
Setting to ON_QA to verify that the test is fixed.

Comment 6 Martin Svehla 2013-08-28 10:50:30 UTC
We haven't hit this in our testsuite runs at all for at least a month.


Note You need to log in before you can comment on or make changes to this bug.